%h2= t('.title', resource: resource.model_name.human)
= form_for resource,
           as: resource_name,
           url: registration_path(resource_name),
           html: { method: :put } do |f|
  = render 'devise/shared/error_messages', resource: resource
  .form__field
    = f.label :name
    .form__field__input
      = f.text_field :name, autocomplete: 'name'
      .form__field__help= t('.help_name')
  .form__field
    = f.label :email
    .form__field__input
      = f.email_field :email, autocomplete: 'email'
  - if devise_mapping.confirmable? && resource.pending_reconfirmation?
    %div= t('.currently_waiting_confirmation_for_email', email: resource.unconfirmed_email)
  .form__field
    = f.label :password
    .form__field__input
      = f.password_field :password, autocomplete: 'new-password'
      .form__field__help (#{t('.leave_blank_if_you_don_t_want_to_change_it')})
      - if @minimum_password_length
        .form__field__help= t('devise.shared.minimum_password_length', count: @minimum_password_length)
  .form__field
    = f.label :password_confirmation
    .form__field__input
      = f.password_field :password_confirmation, autocomplete: 'new-password'
  .form__field
    = f.label :current_password
    .form__field__input
      = f.password_field :current_password, autocomplete: 'current-password', required: true
      .form__field__help (#{t('.we_need_your_current_password_to_confirm_your_changes')})

  .form__actions
    = f.submit t('.update'), class: 'add'

.page--half
  %h3= t('.cancel_my_account')
  %p
    = t('.unhappy')
  = button_to t('.cancel_my_account'),
              registration_path(resource_name),
              data: { confirm: t('.are_you_sure') },
              method: :delete,
              class: 'destructive'
